use strict;
use warnings FATAL => 'all';
use ExtUtils::MakeMaker;

(do 'maint/Makefile.PL.include' or die $@) unless -f 'META.yml';

WriteMakefile(
  NAME => 'Alien::Rakudo::Inline::Perl5',
  VERSION_FROM => 'lib/Alien/Rakudo/Inline/Perl5.pm',
  PMLIBDIRS => [ 'lib' ],
  META_MERGE => {
    no_index => { directory => [ 'Inline-Perl5' ] },
    configure_requires => { 'Alien::Rakudo' => 0 },
  },
);

chdir('Inline-Perl5');
system('perl6 configure.pl6');

sub MY::postamble { <<'END'; }

all ::
	cd Inline-Perl5; make

install ::
	cd Inline-Perl5; DESTREPO=site make install
END
